# processAfterInstantiation method

Future<bool> processAfterInstantiation(

1. Object pod,
2. Class podClass,
3. String name

)

Perform operations after the pod has been instantiated but before property population.

This is the ideal callback for performing custom field injection on the given pod instance, right before property population.

## Parameters

- `pod`: The pod instance created
- `name`: The name of the pod
- `podClass`: The class of the pod

## Return Value

Returns true if properties should be set on the pod, false if property population should be skipped.

## Implementation

    Future<bool> processAfterInstantiation(Object pod, Class podClass, String name) async => true;